# Update a credit card payment method Updates an existing credit card payment method. Endpoint: PUT /v1/payment-methods/credit-cards/{payment-method-id} Version: 2025-12-17 ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Authorization` (string) The value is in the Bearer {token} format where {token} is a valid OAuth token generated by calling Create an OAuth token. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you do not need to set this header. ## Path parameters: - `payment-method-id` (string, required) Unique ID of the payment method to update. ## Request fields (application/json): - `addressLine1` (string) First address line, 255 characters or less. - `addressLine2` (string) Second address line, 255 characters or less. - `cardHolderName` (string) The full name as it appears on the card, e.g., "John J Smith", 50 characters or less. Example: "Amy Lawrence" - `city` (string) City, 40 characters or less. - `country` (string) Country; must be a valid country name or abbreviation. - `defaultPaymentMethod` (boolean) Specify "true" to make this card the default payment method; otherwise, omit this parameter to keep the current default payment method. - `email` (string) Card holder's email address, 80 characters or less. - `expirationMonth` (integer) One or two digit(s) expiration month (1-12). - `expirationYear` (integer) Four-digit expiration year. - `gatewayOptions` (object) The field used to pass gateway-specific parameters and parameter values. Zuora sends all the information that you specified to the gateway. If you specify any unsupported gateway option parameters, they will be ignored without error prompts. - `gatewayOptions.key` (string) The name of a gateway-specific parameter. - `gatewayOptions.value` (string) The value of the gateway-specific parameter. - `numConsecutiveFailures` (integer) The number of consecutive failed payments for this payment method. It is reset to 0 upon successful payment. - `phone` (string) Phone number, 40 characters or less. - `securityCode` (string) The CVV or CVV2 security code for the credit card or debit card. Only required if changing expirationMonth, expirationYear, or cardHolderName. To ensure PCI compliance, this value isn't stored and can't be queried. - `state` (string) State; must be a valid state name or 2-character abbreviation. - `zipCode` (string) Zip code, 20 characters or less. ## Response 200 fields (application/json): - `paymentMethodId` (string) ID of the updated payment method. - `success` (boolean) Returns true if the request was processed successfully.